curl -X POST "https://api.agenticpencil.com/v1/auth/register" \
-H "Content-Type: application/json" \
-d '{
"email": "you@example.com",
"name": "My App"
}'
{
"success": true,
"data": {
"api_key": "ap_abc123...",
"key_prefix": "ap_abc1",
"plan": "free",
"credits": 50,
"rate_limit": "10 requests/minute",
"warning": "⚠️ Save this key — it cannot be retrieved again."
}
}
Endpoints
Register
Register for an API key
POST
/
v1
/
auth
/
register
curl -X POST "https://api.agenticpencil.com/v1/auth/register" \
-H "Content-Type: application/json" \
-d '{
"email": "you@example.com",
"name": "My App"
}'
{
"success": true,
"data": {
"api_key": "ap_abc123...",
"key_prefix": "ap_abc1",
"plan": "free",
"credits": 50,
"rate_limit": "10 requests/minute",
"warning": "⚠️ Save this key — it cannot be retrieved again."
}
}
Create an account and get your API key. No authentication required.
curl -X POST "https://api.agenticpencil.com/v1/auth/register" \
-H "Content-Type: application/json" \
-d '{
"email": "you@example.com",
"name": "My App"
}'
Request Body
string
required
Your email address
string
Name for your API key (default: “Default”)
Response
{
"success": true,
"data": {
"api_key": "ap_abc123...",
"key_prefix": "ap_abc1",
"plan": "free",
"credits": 50,
"rate_limit": "10 requests/minute",
"warning": "⚠️ Save this key — it cannot be retrieved again."
}
}
Save your API key immediately — it cannot be retrieved after this response.
⌘I